Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWin32OutputWindow Class Reference

`#include <vtkWin32OutputWindow.h>`

Inheritance diagram for vtkWin32OutputWindow:

[legend]
Collaboration diagram for vtkWin32OutputWindow:

[legend]
List of all members.

## Detailed Description

Win32 Specific output window class.

Date:
  2002/01/22 15:26:44

Revision:
  1.14

This class is used for error and debug message output on the windows platform. It creates a read only EDIT control to display the output. This class should not be used directly. It should only be used through the interface of vtkOutputWindow. This class only handles one output window per process. If the window is destroyed, the vtkObject::GlobalWarningDisplayOff() function is called. The window is created the next time text is written to the window.

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (61%)
  - Martin, Ken (15%)
  - Schroeder, Will (13%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkWin32OutputWindow.cxx)`
  - .`h` (`/Common/vtkWin32OutputWindow.h)`

Tests:
  vtkWin32OutputWindow (Tests)

Definition at line 52 of file vtkWin32OutputWindow.h.

## [NOHEADER]
virtual void | DisplayText (const char *)
vtkWin32OutputWindow * | New ()
LRESULT APIENTRY | WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
## Public Types
typedef vtkOutputWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkWin32OutputWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWin32OutputWindow ()
virtual | ~vtkWin32OutputWindow ()
void | PromptText (const char *text)
## Static Protected Methods
void | AddText (const char *)
int | Initialize ()
## Static Protected Attributes
HWND | OutputWindow

## Member Typedef Documentation

typedef vtkOutputWindow vtkWin32OutputWindow::Superclass

| Reimplemented from vtkOutputWindow. Definition at line 56 of file vtkWin32OutputWindow.h.

## Constructor & Destructor Documentation

vtkWin32OutputWindow::vtkWin32OutputWindow | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkWin32OutputWindow.h.

virtual vtkWin32OutputWindow::~vtkWin32OutputWindow | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 70 of file vtkWin32OutputWindow.h.

## Member Function Documentation

virtual const char* vtkWin32OutputWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOutputWindow.

int vtkWin32OutputWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputWindow.

virtual int vtkWin32OutputWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputWindow.

vtkWin32OutputWindow* vtkWin32OutputWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOutputWindow.

vtkWin32OutputWindow* vtkWin32OutputWindow::New | ( |  | ) | `[static]`

| Create a vtkWin32OutputWindow. Reimplemented from vtkOutputWindow.

virtual void vtkWin32OutputWindow::DisplayText | ( | const char * |  | ) | `[virtual]`

| Reimplemented from vtkOutputWindow.

LRESULT APIENTRY vtkWin32OutputWindow::WndProc | ( | HWND | hWnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static]`

void vtkWin32OutputWindow::PromptText | ( | const char * | text | ) | `[protected]`

void vtkWin32OutputWindow::AddText | ( | const char * |  | ) | `[static, protected]`

int vtkWin32OutputWindow::Initialize | ( |  | ) | `[static, protected]`

## Member Data Documentation

HWND vtkWin32OutputWindow::OutputWindow`[static, protected]`

| Definition at line 75 of file vtkWin32OutputWindow.h.

The documentation for this class was generated from the following file:

- Common/vtkWin32OutputWindow.h